#pragma once

#include "CoreMinimal.h"
#include "EventDrivenModifierCondition.h"
#include "IsFrenzyKillerInstinctTarget.generated.h"

class AKiller;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class THELEGION_API UIsFrenzyKillerInstinctTarget : public UEventDrivenModifierCondition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	AKiller* _owningKiller;

public:
	UIsFrenzyKillerInstinctTarget();
};

FORCEINLINE uint32 GetTypeHash(const UIsFrenzyKillerInstinctTarget) { return 0; }
